Index: code/branches/physics/visual_studio/vc8/ogreode.vcproj
===================================================================
--- code/branches/physics/visual_studio/vc8/ogreode.vcproj	(revision 2182)
+++ 	(revision )
@@ -1,322 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="ogreode"
-	ProjectGUID="{BBA88DC2-CD78-4C00-814B-183899090F3E}"
-	RootNamespace="orxonox"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			ConfigurationType="2"
-			InheritedPropertySheets=".\debug.vsprops;.\ogreode.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			ConfigurationType="2"
-			InheritedPropertySheets=".\release.vsprops;.\ogreode.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				PreprocessorDefinitions="TOLUA_RELEASE"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeBody.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeCollision.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeDebugContact.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeDebugObject.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeEigenSolver.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeEntityInformer.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeGeometry.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeJoint.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeMass.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdePrecompiledHeaders.cpp"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-						PrecompiledHeaderThrough="OgreOdePrecompiledHeaders.h"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeSpace.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeStepper.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeTriangleMeshData.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeTriangleMeshDataManager.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeUtility.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeWorld.cpp"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOde_Core.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeBody.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeCollision.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeDebugContact.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeDebugObject.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeEigenSolver.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeEntityInformer.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeFrameListener.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeGeometry.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeJoint.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeMaintainedList.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeMass.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdePrecompiledHeaders.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdePreReqs.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeSpace.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeStepper.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeTriangleMeshData.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeTriangleMeshDataManager.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeUtility.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\ogreode\OgreOdeWorld.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: code/branches/physics/visual_studio/vc8/ogreode.vsprops
===================================================================
--- code/branches/physics/visual_studio/vc8/ogreode.vsprops	(revision 2182)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="ogreode"
-	InheritedPropertySheets=".\directories.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2 /Zm200"
-		PreprocessorDefinitions="OGREODE_EXPORTS;_PRECOMP"
-		UsePrecompiledHeader="2"
-		PrecompiledHeaderThrough="OgreOdePrecompiledHeaders.h"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CS).lib ode_single$(CS).lib"
-	/>
-</VisualStudioPropertySheet>