Index: code/branches/physics/src/orxonox/objects/worldentities/Backlight.h
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/Backlight.h	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/Backlight.h	(revision 2184)
@@ -32,10 +32,10 @@
 #include "OrxonoxPrereqs.h"
 
-#include "StaticEntity.h"
+#include "PositionableEntity.h"
 #include "tools/BillboardSet.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Backlight : public StaticEntity
+    class _OrxonoxExport Backlight : public PositionableEntity
     {
         public:
Index: code/branches/physics/src/orxonox/objects/worldentities/Billboard.cc
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/Billboard.cc	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/Billboard.cc	(revision 2184)
@@ -38,5 +38,5 @@
     CreateFactory(Billboard);
 
-    Billboard::Billboard(BaseObject* creator) : StaticEntity(creator)
+    Billboard::Billboard(BaseObject* creator) : PositionableEntity(creator)
     {
         RegisterObject(Billboard);
Index: code/branches/physics/src/orxonox/objects/worldentities/Billboard.h
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/Billboard.h	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/Billboard.h	(revision 2184)
@@ -31,5 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
-#include "StaticEntity.h"
+#include "PositionableEntity.h"
 #include "util/Math.h"
 #include "tools/BillboardSet.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport Billboard : public StaticEntity
+    class _OrxonoxExport Billboard : public PositionableEntity
     {
         public:
Index: code/branches/physics/src/orxonox/objects/worldentities/Camera.cc
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/Camera.cc	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/Camera.cc	(revision 2184)
@@ -47,5 +47,5 @@
     CreateFactory(Camera);
 
-    Camera::Camera(BaseObject* creator) : StaticEntity(creator)
+    Camera::Camera(BaseObject* creator) : PositionableEntity(creator)
     {
         RegisterObject(Camera);
Index: code/branches/physics/src/orxonox/objects/worldentities/Camera.h
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/Camera.h	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/Camera.h	(revision 2184)
@@ -33,10 +33,10 @@
 
 #include <OgrePrerequisites.h>
-#include "objects/worldentities/StaticEntity.h"
+#include "objects/worldentities/PositionableEntity.h"
 #include "objects/Tickable.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Camera : public StaticEntity, public Tickable
+    class _OrxonoxExport Camera : public PositionableEntity, public Tickable
     {
         friend class CameraManager;
Index: code/branches/physics/src/orxonox/objects/worldentities/CameraPosition.cc
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/CameraPosition.cc	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/CameraPosition.cc	(revision 2184)
@@ -38,5 +38,5 @@
     CreateFactory(CameraPosition);
 
-    CameraPosition::CameraPosition(BaseObject* creator) : StaticEntity(creator)
+    CameraPosition::CameraPosition(BaseObject* creator) : PositionableEntity(creator)
     {
         RegisterObject(CameraPosition);
Index: code/branches/physics/src/orxonox/objects/worldentities/CameraPosition.h
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/CameraPosition.h	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/CameraPosition.h	(revision 2184)
@@ -32,9 +32,9 @@
 #include "OrxonoxPrereqs.h"
 
-#include "objects/worldentities/StaticEntity.h"
+#include "objects/worldentities/PositionableEntity.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport CameraPosition : public StaticEntity
+    class _OrxonoxExport CameraPosition : public PositionableEntity
     {
         public:
Index: code/branches/physics/src/orxonox/objects/worldentities/Light.cc
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/Light.cc	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/Light.cc	(revision 2184)
@@ -47,5 +47,5 @@
     CreateFactory(Light);
 
-    Light::Light(BaseObject* creator) : StaticEntity(creator)
+    Light::Light(BaseObject* creator) : PositionableEntity(creator)
     {
         RegisterObject(Light);
Index: code/branches/physics/src/orxonox/objects/worldentities/Light.h
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/Light.h	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/Light.h	(revision 2184)
@@ -31,5 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
-#include "StaticEntity.h"
+#include "PositionableEntity.h"
 
 #include <string>
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport Light : public StaticEntity
+    class _OrxonoxExport Light : public PositionableEntity
     {
         public:
Index: code/branches/physics/src/orxonox/objects/worldentities/Model.cc
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/Model.cc	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/Model.cc	(revision 2184)
@@ -38,5 +38,5 @@
     CreateFactory(Model);
 
-    Model::Model(BaseObject* creator) : StaticEntity(creator)
+    Model::Model(BaseObject* creator) : PositionableEntity(creator)
     {
         RegisterObject(Model);
Index: code/branches/physics/src/orxonox/objects/worldentities/Model.h
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/Model.h	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/Model.h	(revision 2184)
@@ -31,10 +31,10 @@
 
 #include "OrxonoxPrereqs.h"
-#include "StaticEntity.h"
+#include "PositionableEntity.h"
 #include "tools/Mesh.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Model : public StaticEntity
+    class _OrxonoxExport Model : public PositionableEntity
     {
         public:
Index: code/branches/physics/src/orxonox/objects/worldentities/ParticleEmitter.cc
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2184)
@@ -45,5 +45,5 @@
     CreateFactory(ParticleEmitter);
 
-    ParticleEmitter::ParticleEmitter(BaseObject* creator) : StaticEntity(creator)
+    ParticleEmitter::ParticleEmitter(BaseObject* creator) : PositionableEntity(creator)
     {
         RegisterObject(ParticleEmitter);
Index: code/branches/physics/src/orxonox/objects/worldentities/ParticleEmitter.h
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/ParticleEmitter.h	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/ParticleEmitter.h	(revision 2184)
@@ -31,9 +31,9 @@
 
 #include "OrxonoxPrereqs.h"
-#include "StaticEntity.h"
+#include "PositionableEntity.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport ParticleEmitter : public StaticEntity
+    class _OrxonoxExport ParticleEmitter : public PositionableEntity
     {
         public:
Index: code/branches/physics/src/orxonox/objects/worldentities/SpawnPoint.cc
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/SpawnPoint.cc	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/SpawnPoint.cc	(revision 2184)
@@ -38,5 +38,5 @@
     CreateFactory(SpawnPoint);
 
-    SpawnPoint::SpawnPoint(BaseObject* creator) : StaticEntity(creator)
+    SpawnPoint::SpawnPoint(BaseObject* creator) : PositionableEntity(creator)
     {
         RegisterObject(SpawnPoint);
Index: code/branches/physics/src/orxonox/objects/worldentities/SpawnPoint.h
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/SpawnPoint.h	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/SpawnPoint.h	(revision 2184)
@@ -34,10 +34,10 @@
 #include "core/Identifier.h"
 #include "core/Template.h"
-#include "StaticEntity.h"
+#include "PositionableEntity.h"
 #include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport SpawnPoint : public StaticEntity
+    class _OrxonoxExport SpawnPoint : public PositionableEntity
     {
         public:
Index: code/branches/physics/src/orxonox/objects/worldentities/triggers/Trigger.cc
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/triggers/Trigger.cc	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/triggers/Trigger.cc	(revision 2184)
@@ -44,5 +44,5 @@
   CreateFactory(Trigger);
 
-  Trigger::Trigger(BaseObject* creator) : StaticEntity(creator)
+  Trigger::Trigger(BaseObject* creator) : PositionableEntity(creator)
   {
     RegisterObject(Trigger);
Index: code/branches/physics/src/orxonox/objects/worldentities/triggers/Trigger.h
===================================================================
--- code/branches/physics/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 2179)
+++ code/branches/physics/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 2184)
@@ -36,5 +36,5 @@
 
 #include "objects/Tickable.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "objects/worldentities/PositionableEntity.h"
 #include "tools/BillboardSet.h"
 
@@ -48,5 +48,5 @@
   };
 
-  class _OrxonoxExport Trigger : public StaticEntity, public Tickable
+  class _OrxonoxExport Trigger : public PositionableEntity, public Tickable
   {
     public: