Index: code/branches/buildsystem/CMakeLists.txt
===================================================================
--- code/branches/buildsystem/CMakeLists.txt	(revision 2139)
+++ code/branches/buildsystem/CMakeLists.txt	(revision 2197)
@@ -3,26 +3,25 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
 
-IF (COMMAND cmake_policy)
-  cmake_policy(SET CMP0003 NEW)
-ENDIF (COMMAND cmake_policy)
-
-# Allow for simple IF constructs (makes code a lot more readable)
-#SET(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)
+# TODO: Test CMake Modules without policy
+#IF (COMMAND cmake_policy)
+#  cmake_policy(SET CMP0003 NEW)
+#ENDIF (COMMAND cmake_policy)
 
 # This sets where to look for modules (e.g. "Find*.cmake" files)
 SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-# Check whether we are on a tardis box and set customized paths
+# Check for special include paths
 INCLUDE(CheckTardis)
+INCLUDE(CheckOrxonoxWinDeps)
 
-############## Testing options ##################
+################ Test options ###################
 
-#OPTION(TESTING_ENABLED "Do you want to enable Testing")
-#IF (TESTING_ENABLED)
-#  ENABLE_TESTING()
-#ENDIF(TESTING_ENABLED)
-#
-#OPTION (NETWORK_TESTING_ENABLED "Do you want to build network testing tools: i.e. chatclient chatserver and alike")
-#OPTION (NETWORKTRAFFIC_TESTING_ENABLED "Do you want to build dummyserver4 and dummyclient4")
+OPTION(ENABLE_TESTS "Enable build tests.")
+IF(ENABLE_TESTS)
+  ENABLE_TESTING()
+ENDIF(ENABLE_TESTS)
+
+OPTION(NETWORK_TESTING_ENABLED "Build network testing tools: i.e. chatclient chatserver and alike.")
+OPTION(NETWORKTRAFFIC_TESTING_ENABLED "Build dummyserver4 and dummyclient4.")
 
 ########## Compiler/Linker options ##############
@@ -31,5 +30,7 @@
 SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(LIBRARY_OUTPUT_PATH    ${PROJECT_BINARY_DIR}/bin)
+MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH LIBRARY_OUTPUT_PATH)
 
+# TODO: use CMake's options for build types
 # Global compiler/linker flags.
 SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -Wall -Wextra -Wno-unused-parameter -g -ggdb")
@@ -45,22 +46,4 @@
 ############### Library finding #################
 
-# Uncomment the following line if you want the include and library paths to be shown
-# Alternatively use the "-D VERBOSE_FIND:BOOL=true" option when executing cmake
-
-# SET (VERBOSE_FIND true)
-
-# Set the library directory when using precompiled tarballs for the dependencies under windows
-IF (WIN32)
-  IF (MSVC)
-    IF ($ENV{ORXONOX_DEV})
-      SET (DEPENDENCY_DIR ${CMAKE_SOURCE_DIR}/../lib_dist/dependencies/)
-    ELSE ($ENV{ORXONOX_DEV})
-      SET (DEPENDENCY_DIR ${CMAKE_SOURCE_DIR}/dependencies/)
-    ENDIF ($ENV{ORXONOX_DEV})
-    SET(Boost_LIB_SUFFIX_DEBUG vc80-mt-gd-1_35)
-    #MESSAGE(STATUS ${DEPENDENCY_DIR})
-  ENDIF (MSVC)
-ENDIF (WIN32)
-
 # Performs the search and sets the variables
 FIND_PACKAGE(OGRE REQUIRED)
@@ -74,4 +57,5 @@
 FIND_PACKAGE(OggVorbis REQUIRED)
 FIND_PACKAGE(ZLIB REQUIRED)
+#TODO: don't require the whole tcl stuff
 FIND_PACKAGE(TCL REQUIRED)
 FIND_PACKAGE(DirectX REQUIRED)
Index: code/branches/buildsystem/cmake/CheckOrxonoxWinDeps.cmake
===================================================================
--- code/branches/buildsystem/cmake/CheckOrxonoxWinDeps.cmake	(revision 2197)
+++ code/branches/buildsystem/cmake/CheckOrxonoxWinDeps.cmake	(revision 2197)
@@ -0,0 +1,3 @@
+# TODO: do the same here for win as it has been done for Tardis in CheckTardis.cmake
+
+# Set the library directory when using precompiled tarballs for the dependencies under windows
Index: code/branches/buildsystem/cmake/CheckTardis.cmake
===================================================================
--- code/branches/buildsystem/cmake/CheckTardis.cmake	(revision 2139)
+++ code/branches/buildsystem/cmake/CheckTardis.cmake	(revision 2197)
@@ -45,3 +45,6 @@
   SET(ENV{OGGVORBISDIR} "/usr/pack/oggvorbis-1.0-ds;/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0")
   #SET(TCL_INCLUDE_PATH "/usr/pack/tcltk-8.4.9.linux-mo/include")
+  SET(ENV{CEGUIDIR} "/usr/pack/cegui-0.5.0-sd;/usr/pack/cegui-0.5.0-sd/i686-debian-linux3.1")
 ENDIF (IS_TARDIS)
+
+MARK_AS_ADVANCED(UNAME_CMD IS_TARDIS)
Index: code/branches/buildsystem/cmake/FindCEGUI.cmake
===================================================================
--- code/branches/buildsystem/cmake/FindCEGUI.cmake	(revision 2139)
+++ code/branches/buildsystem/cmake/FindCEGUI.cmake	(revision 2197)
@@ -3,6 +3,5 @@
 # This module defines
 #  CEGUI_INCLUDE_DIR
-#  CEGUI_LIBRARIES, the libraries to link against to use CEGUI.
-#  CEGUI_LIB_DIR, the location of the libraries
+#  CEGUI_LIBRARY, the library to link against to use CEGUI.
 #  CEGUI_FOUND, If false, do not try to use CEGUI
 #
@@ -17,27 +16,26 @@
 #
 # Several changes and additions by Fabian 'x3n' Landau
+# Lots of simplifications by Adrian Friedli
 #                 > www.orxonox.net <
 
-IF (CEGUI_LIBRARIES AND CEGUI_INCLUDE_DIR AND CEGUI_LIB_DIR)# AND CEGUI_SCRIPT_LIBRARIES)
-    SET(CEGUI_FIND_QUIETLY TRUE) # Already in cache, be silent
-ENDIF (CEGUI_LIBRARIES AND CEGUI_INCLUDE_DIR AND CEGUI_LIB_DIR)# AND CEGUI_SCRIPT_LIBRARIES)
+# TODO: Determine CEGUI version
 
-IF (WIN32) #Windows
-    FIND_PATH(CEGUI_INCLUDE_DIR CEGUI.h
-        ../libs/cegui-0.6.1/include
-        ${DEPENDENCY_DIR}/cegui-0.6.1/include
-    )
+FIND_PATH(CEGUI_INCLUDE_DIR CEGUI.h
+    PATHS
+    $ENV{CEGUIDIR}
+    /usr/local
+    /usr
+    PATH_SUFFIXES include include/CEGUI
+)
 
-    SET(CEGUI_LIBRARIES debug CEGUIBase_d optimized CEGUIBase)
-    FIND_LIBRARY(CEGUI_LIBDIR NAMES ${CEGUI_LIBRARIES} PATHS
-        ../libs/cegui-0.6.1/bin
-        ${DEPENDENCY_DIR}/cegui-0.6.1/lib
-    )
-
-    # Strip the filename from the path
-    IF (CEGUI_LIBDIR)
-        GET_FILENAME_COMPONENT(CEGUI_LIBDIR ${CEGUI_LIBDIR} PATH)
-        SET (CEGUI_LIB_DIR ${CEGUI_LIBDIR} CACHE FILEPATH "")
-    ENDIF (CEGUI_LIBDIR)
+#SET(CEGUI_LIBRARIES debug CEGUIBase_d optimized CEGUIBase)
+FIND_LIBRARY(CEGUI_LIBRARY
+    NAMES CEGUIBase
+    PATHS
+    $ENV{CEGUIDIR}
+    /usr/local
+    /usr
+    PATH_SUFFIXES lib
+)
 
 #    IF (NOT CEGUI_SCRIPT_LIBDIR)
@@ -58,56 +56,14 @@
 #    ENDIF (NOT CEGUI_SCRIPT_LIBDIR)
 
-#    # Strip the filename from the path
-#    IF (CEGUI_SCRIPT_LIBDIR)
-#        GET_FILENAME_COMPONENT(CEGUI_SCRIPT_LIBDIR ${CEGUI_SCRIPT_LIBDIR} PATH)
-#        SET (CEGUI_SCRIPT_LIB_DIR ${CEGUI_SCRIPT_LIBDIR} CACHE FILEPATH "")
-#    ENDIF (CEGUI_SCRIPT_LIBDIR)
+INCLUDE(FindPackageHandleStandardArgs)
+FIND_PACKAGE_HANDLE_STANDARD_ARGS(CEGUI DEFAULT_MSG
+    CEGUI_LIBRARY
+    CEGUI_INCLUDE_DIR
+    #CEGUI_SCRIPT_LIBRARIES
+)
 
-ELSE (WIN32) #Unix
-    FIND_PACKAGE(PkgConfig)
-    PKG_SEARCH_MODULE(CEGUI CEGUI /usr/pack/cegui-0.5.0-sd/i686-debian-linux3.1/lib/pkgconfig/CEGUI.pc) # tardis specific hack
-    SET(CEGUI_INCLUDE_DIR ${CEGUI_INCLUDE_DIRS})
-    SET(CEGUI_LIB_DIR ${CEGUI_LIBDIR})
-    SET(CEGUI_LIBRARIES ${CEGUI_LIBRARIES} CACHE STRING "")
-#    SET(CEGUI_SCRIPT_LIBRARIES "CEGUILuaScriptModule")
-#    SET(CEGUI_SCRIPT_LIB_DIR)
-ENDIF (WIN32)
-
-IF (CEGUI_INCLUDE_DIR AND CEGUI_LIBRARIES AND CEGUI_LIB_DIR)# AND CEGUI_SCRIPT_LIBRARIES)
-    SET(CEGUI_FOUND TRUE)
-
-    #Do some preparation
-    SEPARATE_ARGUMENTS(CEGUI_INCLUDE_DIR)
-    SEPARATE_ARGUMENTS(CEGUI_LIBRARIES)
-
-    SET(CEGUI_INCLUDE_DIR ${CEGUI_INCLUDE_DIR} CACHE PATH "")
-    SET(CEGUI_LIBRARIES ${CEGUI_LIBRARIES} CACHE STRING "")
-    SET(CEGUI_LIB_DIR ${CEGUI_LIB_DIR} CACHE PATH "")
-#    SET(CEGUI_SCRIPT_LIBRARIES ${CEGUI_SCRIPT_LIBRARIES} CACHE PATH "")
-ENDIF (CEGUI_INCLUDE_DIR AND CEGUI_LIBRARIES AND CEGUI_LIB_DIR)# AND CEGUI_SCRIPT_LIBRARIES)
-
-IF (CEGUI_FOUND)
-    IF (NOT CEGUI_FIND_QUIETLY)
-        MESSAGE(STATUS "CEGUI was found.")
-        IF (VERBOSE_FIND)
-            MESSAGE (STATUS "  include path: ${CEGUI_INCLUDE_DIR}")
-            MESSAGE (STATUS "  library path: ${CEGUI_LIB_DIR}")
-            MESSAGE (STATUS "  libraries:    ${CEGUI_LIBRARIES}")
-#            MESSAGE (STATUS "           :    ${CEGUI_SCRIPT_LIBRARIES}")
-        ENDIF (VERBOSE_FIND)
-    ENDIF (NOT CEGUI_FIND_QUIETLY)
-ELSE (CEGUI_FOUND)
-    IF (NOT CEGUI_INCLUDE_DIR)
-        MESSAGE(SEND_ERROR "CEGUI include path was not found.")
-    ENDIF (NOT CEGUI_INCLUDE_DIR)
-    IF (NOT CEGUI_LIB_DIR)
-        MESSAGE(SEND_ERROR "CEGUI library was not found.")
-    ENDIF (NOT CEGUI_LIB_DIR)
-    IF (NOT CEGUI_LIBRARIES)
-        MESSAGE(SEND_ERROR "CEGUI libraries not known.")
-    ENDIF (NOT CEGUI_LIBRARIES)
-#    IF (NOT CEGUI_SCRIPT_LIBRARIES)
-#        MESSAGE(SEND_ERROR "CEGUI Lua script module was not found.")
-#    ENDIF (NOT CEGUI_SCRIPT_LIBRARIES)
-ENDIF (CEGUI_FOUND)
-
+MARK_AS_ADVANCED(
+    CEGUI_LIBRARY
+    CEGUI_INCLUDE_DIR
+    #CEGUI_SCRIPT_LIBRARIES
+)
Index: code/branches/buildsystem/cmake/FindCEGUI_OGRE.cmake
===================================================================
--- code/branches/buildsystem/cmake/FindCEGUI_OGRE.cmake	(revision 2139)
+++ 	(revision )
@@ -1,69 +1,0 @@
-# Find CEGUI_OGRE includes and library
-#
-# This module defines
-#  CEGUI_OGRE_INCLUDE_DIR
-#  CEGUI_OGRE_LIBRARIES, the libraries to link against to use CEGUI_OGRE.
-#  CEGUI_OGRE_LIB_DIR, the location of the libraries
-#  CEGUI_OGRE_FOUND, If false, do not try to use CEGUI_OGRE
-#
-# Created by Matt Williams to find OGRE libraries
-# Copyright © 2007, Matt Williams
-#
-# Modified by Nicolas Schlumberger to find CEGUI-OGRE libraries
-# and make it run on the Tardis-Infrastucture of the ETH Zurich
-# Copyright 2007, Nicolas Schlumberger
-#
-# Redistribution and use is allowed according to the terms of the BSD license.
-#
-# Several changes and additions by Fabian 'x3n' Landau
-#                 > www.orxonox.net <
-
-IF (CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIB_DIR)
-    SET(CEGUI_OGRE_FIND_QUIETLY TRUE) # Already in cache, be silent
-ENDIF (CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIB_DIR)
-
-IF (WIN32) #Windows
-    MESSAGE(STATUS "Looking for CEGUI_OGRE")
-    SET(CEGUI_OGRE_INCLUDE_DIR ../libs/ogre/Samples/Common/CEGUIRenderer/include)
-    SET(CEGUI_OGRE_LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ogre/Samples/Common/bin/Release/lib)
-    SET(CEGUI_OGRE_LIBRARIES debug OgreGUIRenderer_d optimized OgreGUIRenderer)
-ELSE (WIN32) #Unix
-    FIND_PACKAGE(PkgConfig)
-    PKG_SEARCH_MODULE(CEGUI_OGRE CEGUI-OGRE /usr/pack/ogre-1.4.5-sd/i686-debian-linux3.1/lib/pkgconfig/CEGUI-OGRE.pc) # tardis specific hack
-    SET(CEGUI_OGRE_INCLUDE_DIR ${CEGUI_OGRE_INCLUDE_DIRS})
-    SET(CEGUI_OGRE_LIB_DIR ${CEGUI_OGRE_LIBDIR})
-    SET(CEGUI_OGRE_LIBRARIES ${CEGUI_OGRE_LIBRARIES} CACHE STRING "")
-ENDIF (WIN32)
-
-#Do some preparation
-SEPARATE_ARGUMENTS(CEGUI_OGRE_INCLUDE_DIR)
-SEPARATE_ARGUMENTS(CEGUI_OGRE_LIBRARIES)
-
-SET(CEGUI_OGRE_INCLUDE_DIR ${CEGUI_OGRE_INCLUDE_DIR} CACHE PATH "")
-SET(CEGUI_OGRE_LIBRARIES ${CEGUI_OGRE_LIBRARIES} CACHE STRING "")
-SET(CEGUI_OGRE_LIB_DIR ${CEGUI_OGRE_LIB_DIR} CACHE PATH "")
-
-IF (CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_LIB_DIR)
-    SET(CEGUI_OGRE_FOUND TRUE)
-ENDIF (CEGUI_OGRE_INCLUDE_DIR AND CEGUI_OGRE_LIBRARIES AND CEGUI_OGRE_LIB_DIR)
-
-IF (CEGUI_OGRE_FOUND)
-    IF (NOT CEGUI_OGRE_FIND_QUIETLY)
-        MESSAGE(STATUS "CEGUI_Ogre was found.")
-        IF (VERBOSE_FIND)
-            MESSAGE (STATUS "  include path: ${CEGUI_OGRE_INCLUDE_DIR}")
-            MESSAGE (STATUS "  library path: ${CEGUI_OGRE_LIB_DIR}")
-            MESSAGE (STATUS "  libraries:    ${CEGUI_OGRE_LIBRARIES}")
-        ENDIF (VERBOSE_FIND)
-    ENDIF (NOT CEGUI_OGRE_FIND_QUIETLY)
-ELSE (CEGUI_OGRE_FOUND)
-    IF (NOT CEGUI_OGRE_INCLUDE_DIR)
-        MESSAGE(SEND_ERROR "CEGUI_Ogre include path was not found.")
-    ENDIF (NOT CEGUI_OGRE_INCLUDE_DIR)
-    IF (NOT CEGUI_OGRE_LIB_DIR)
-        MESSAGE(SEND_ERROR "CEGUI_Ogre library was not found.")
-    ENDIF (NOT CEGUI_OGRE_LIB_DIR)
-    IF (NOT CEGUI_OGRE_LIBRARIES)
-        MESSAGE(SEND_ERROR "CEGUI_Ogre libraries not known.")
-    ENDIF (NOT CEGUI_OGRE_LIBRARIES)
-ENDIF (CEGUI_OGRE_FOUND)
Index: code/branches/buildsystem/cmake/FindODE.cmake
===================================================================
--- code/branches/buildsystem/cmake/FindODE.cmake	(revision 2139)
+++ 	(revision )
@@ -1,46 +1,0 @@
-# find ODE (Open Dynamics Engine) includes and library
-#
-# ODE_INCLUDE_DIR - where the directory containing the ODE headers can be
-#                   found
-# ODE_LIBRARY     - full path to the ODE library
-# ODE_FOUND       - TRUE if ODE was found
-
-IF (NOT ODE_FOUND)
-
-  FIND_PATH(ODE_INCLUDE_DIR ode/ode.h
-    /usr/include
-    /usr/local/include
-    $ENV{OGRE_HOME}/include # OGRE SDK on WIN32
-    $ENV{INCLUDE}
-  )
-  FIND_LIBRARY(ODE_LIBRARY
-    NAMES ode
-    PATHS
-    /usr/lib
-    /usr/local/lib
-    $ENV{OGRE_HOME}/lib # OGRE SDK on WIN32
-  )
-
-  IF(ODE_INCLUDE_DIR)
-    MESSAGE(STATUS "Found ODE include dir: ${ODE_INCLUDE_DIR}")
-  ELSE(ODE_INCLUDE_DIR)
-    MESSAGE(STATUS "Could NOT find ODE headers.")
-  ENDIF(ODE_INCLUDE_DIR)
-
-  IF(ODE_LIBRARY)
-    MESSAGE(STATUS "Found ODE library: ${ODE_LIBRARY}")
-  ELSE(ODE_LIBRARY)
-    MESSAGE(STATUS "Could NOT find ODE library.")
-  ENDIF(ODE_LIBRARY)
-
-  IF(ODE_INCLUDE_DIR AND ODE_LIBRARY)
-     SET(ODE_FOUND TRUE CACHE STRING "Whether ODE was found or not")
-   ELSE(ODE_INCLUDE_DIR AND ODE_LIBRARY)
-     SET(ODE_FOUND FALSE)
-     IF(ODE_FIND_REQUIRED)
-       MESSAGE(FATAL_ERROR "Could not find ODE. Please install ODE (http://www.ode.org)")
-     ENDIF(ODE_FIND_REQUIRED)
-   ENDIF(ODE_INCLUDE_DIR AND ODE_LIBRARY)
-ENDIF (NOT ODE_FOUND)
-
-# vim: et sw=4 ts=4
Index: code/branches/buildsystem/src/CMakeLists.txt
===================================================================
--- code/branches/buildsystem/src/CMakeLists.txt	(revision 2139)
+++ code/branches/buildsystem/src/CMakeLists.txt	(revision 2197)
@@ -16,9 +16,8 @@
 )
 
+# TODO: remove this after the CMake Modules have been fixed and use absolut paths
 # Set the search paths for the linking
-# TODO: remove this after the CMake Modules have been fixed and use absolut paths
 LINK_DIRECTORIES(
   ${OGRE_LIB_DIR}
-  ${CEGUI_LIB_DIR}
 )
 
@@ -33,5 +32,4 @@
 ADD_SUBDIRECTORY(ois)
 ADD_SUBDIRECTORY(tinyxml)
-#ADD_SUBDIRECTORY(lua)
 ADD_SUBDIRECTORY(tolua)
 
@@ -46,11 +44,12 @@
     INCLUDE_DIRECTORIES(ceguilua-0.6.1)
 ELSE (WIN32)
-    IF (${CEGUI_VERSION} LESS 0.6.0)
+    # FIXME
+    #IF (${CEGUI_VERSION} LESS 0.6.0)
         ADD_SUBDIRECTORY(ceguilua-0.5.0/ceguilua)
         INCLUDE_DIRECTORIES(ceguilua-0.5.0)
-    ELSE (${CEGUI_VERSION} LESS 0.6.0)
-        ADD_SUBDIRECTORY(ceguilua-0.6.1/ceguilua)
-        INCLUDE_DIRECTORIES(ceguilua-0.6.1)
-    ENDIF (${CEGUI_VERSION} LESS 0.6.0)
+    #ELSE (${CEGUI_VERSION} LESS 0.6.0)
+    #    ADD_SUBDIRECTORY(ceguilua-0.6.1/ceguilua)
+    #    INCLUDE_DIRECTORIES(ceguilua-0.6.1)
+    #ENDIF (${CEGUI_VERSION} LESS 0.6.0)
 ENDIF (WIN32)
 
Index: code/branches/buildsystem/src/ceguilua-0.5.0/ceguilua/CMakeLists.txt
===================================================================
--- code/branches/buildsystem/src/ceguilua-0.5.0/ceguilua/CMakeLists.txt	(revision 2139)
+++ code/branches/buildsystem/src/ceguilua-0.5.0/ceguilua/CMakeLists.txt	(revision 2197)
@@ -11,4 +11,4 @@
   tolualib_orxonox
   ${LUA_LIBRARIES}
-  ${CEGUI_LIBRARIES}
+  ${CEGUI_LIBRARY}
 )
Index: code/branches/buildsystem/src/ceguilua-0.6.1/ceguilua/CMakeLists.txt
===================================================================
--- code/branches/buildsystem/src/ceguilua-0.6.1/ceguilua/CMakeLists.txt	(revision 2139)
+++ code/branches/buildsystem/src/ceguilua-0.6.1/ceguilua/CMakeLists.txt	(revision 2197)
@@ -11,4 +11,4 @@
   tolualib_orxonox
   ${LUA_LIBRARIES}
-  ${CEGUI_LIBRARIES}
+  ${CEGUI_LIBRARY}
 )
Index: code/branches/buildsystem/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/buildsystem/src/orxonox/CMakeLists.txt	(revision 2139)
+++ code/branches/buildsystem/src/orxonox/CMakeLists.txt	(revision 2197)
@@ -92,5 +92,5 @@
 TARGET_LINK_LIBRARIES( orxonox
   ${OGRE_LIBRARIES}
-  ${CEGUI_LIBRARIES}
+  ${CEGUI_LIBRARY}
   ${LUA_LIBRARIES}
   #${CEGUI_SCRIPT_LIBRARIES}
Index: code/branches/buildsystem/src/util/CMakeLists.txt
===================================================================
--- code/branches/buildsystem/src/util/CMakeLists.txt	(revision 2139)
+++ code/branches/buildsystem/src/util/CMakeLists.txt	(revision 2197)
@@ -13,10 +13,5 @@
 
 ADD_LIBRARY(util SHARED ${UTIL_SRC_FILES})
+TARGET_LINK_LIBRARIES(util ${OGRE_LIBRARIES})
 
-IF(TESTING_ENABLED)
-  ADD_SUBDIRECTORY(testing)
-ENDIF(TESTING_ENABLED)
-
-TARGET_LINK_LIBRARIES(util
-  ${OGRE_LIBRARIES}
-)
+ADD_SUBDIRECTORY(testing)
Index: code/branches/buildsystem/src/util/testing/CMakeLists.txt
===================================================================
--- code/branches/buildsystem/src/util/testing/CMakeLists.txt	(revision 2139)
+++ code/branches/buildsystem/src/util/testing/CMakeLists.txt	(revision 2197)
@@ -1,12 +1,7 @@
-INCLUDE_DIRECTORIES(${INCLUDE_DIRECTORIES}
-	../
-)
+INCLUDE_DIRECTORIES(..)
 
-ADD_EXECUTABLE(TestConverter
- TestConverter.cpp
-)
+IF(ENABLE_TESTS)
+  ADD_EXECUTABLE(TestConverter TestConverter.cpp)
+ENDIF(ENABLE_TESTS)
 
-
-ADD_TEST(TestConverter
-	${EXECUTABLE_OUTPUT_PATH}/TestConverter
-)
+ADD_TEST(TestConverter ${EXECUTABLE_OUTPUT_PATH}/TestConverter)