Index: code/branches/overlay/src/orxonox/overlays/stats/CreateLines.cc
===================================================================
--- code/branches/overlay/src/orxonox/overlays/stats/CreateLines.cc	(revision 2200)
+++ code/branches/overlay/src/orxonox/overlays/stats/CreateLines.cc	(revision 2200)
@@ -0,0 +1,71 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Benjamin Hildebrandt
+ *
+ */
+
+#include "OrxonoxStableHeaders.h"
+#include "CreateLines.h"
+
+#include <string>
+#include <OgreOverlay.h>
+#include <OgreOverlayElement.h>
+#include <OgreOverlayManager.h>
+#include <OgreOverlayContainer.h>
+
+#include "util/Convert.h"
+#include "util/Debug.h"
+#include "core/CoreIncludes.h"
+#include "core/ConfigValueIncludes.h"
+
+namespace orxonox
+{
+    CreateFactory(CreateLines);
+
+    /**
+        @brief Constructor: Creates and initializes a line.
+    */
+    CreateLines::CreateLines(BaseObject* creator)
+        : OrxonoxOverlay(creator)
+    {
+        RegisterObject(CreateLines);
+    }
+
+    /**
+        @brief Initializes the lines.
+    */
+    void CreateLines::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    {
+        SUPER(CreateLines, XMLPort, xmlElement, mode);
+    }
+
+    void createTextArea(unsigned int lineIndex) {
+
+        this->statsOverlayTextAreas_ = static_cast<Ogre::TextAreaOverlayElement*>(ovMan->createOverlayElement("TextArea", "StatsLineTextArea" + getName() + convertToString(lineIndex)));
+        this->overlay_->add2D(this->statsOverlayTextAreas_);
+
+        // this->textColumns_.push_back();    pointer to be added
+
+    }
+
+}
Index: code/branches/overlay/src/orxonox/overlays/stats/CreateLines.h
===================================================================
--- code/branches/overlay/src/orxonox/overlays/stats/CreateLines.h	(revision 2200)
+++ code/branches/overlay/src/orxonox/overlays/stats/CreateLines.h	(revision 2200)
@@ -0,0 +1,60 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Benjamin Hildebrandt
+ *
+ */
+
+#ifndef _CreateLines_H__
+#define _CreateLines_H__
+
+
+#include "OrxonoxPrereqs.h"
+#include <OgrePrerequisites.h>
+#include <OgreBorderPanelOverlayElement.h>
+#include <OgreTextAreaOverlayElement.h>
+
+#include "overlays/OrxonoxOverlay.h"
+#include "objects/Tickable.h"
+
+
+namespace orxonox
+{
+    class _OrxonoxExport CreateLines : public OrxonoxOverlay
+    {
+
+    public: // functions
+        CreateLines();
+        ~CreateLines();
+
+        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+
+    private: // functions
+        void createTextArea();
+
+    private: // variables
+        std::vector<Ogre::TextAreaOverlayElement*> textColumns_;
+
+    };
+}
+
+#endif /* _CreateLines_H__ */
Index: code/branches/overlay/src/orxonox/overlays/stats/Stats.cc
===================================================================
--- code/branches/overlay/src/orxonox/overlays/stats/Stats.cc	(revision 2199)
+++ code/branches/overlay/src/orxonox/overlays/stats/Stats.cc	(revision 2200)
@@ -112,5 +112,5 @@
             float uRand = (rand() & 1023) / 1023.0f * 0.2f;
             float vRand = (rand() & 1023) / 1023.0f * 0.2f;
-            this->statsOverlayNoise_->setUV(uRand, vRand, 0.8f + uRand, 0.8f + vRand);
+            this->statsOverlayNoise_->setUV(uRand, vRand, 7.5f + uRand, 7.5f + vRand);
     }
 